## kpmcore 3.0.2

=== CMakeLists.txt ===
# Copyright (C) 2008 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

project(kpmcore)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

set(CMAKE_USE_RELATIVE_PATHS OFF)
set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)

set(QT_MIN_VERSION "5.6.1")
set(VERSION_MAJOR "3")
set(VERSION_MINOR "0")
set(VERSION_RELEASE "2")
set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE})
set(SOVERSION "4")
add_definitions(-D'VERSION="${VERSION}"') #"

find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMPackageConfigHelpers)

ecm_setup_version(${VERSION} VARIABLE_PREFIX KPMCORE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpmcore_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfigVersion.cmake"
                        SOVERSION ${SOVERSION})

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
  Core
  Gui
  Widgets
)

# Load the frameworks we need
find_package(KF5 REQUIRED
  I18n
  IconThemes
  KIO
  Service
  WidgetsAddons
)

# use sane compile flags
add_definitions(
  -fexceptions
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
  -DQT_USE_FAST_OPERATOR_PLUS
)

find_package(PkgConfig REQUIRED)
pkg_check_modules(BLKID REQUIRED blkid>=2.23)
pkg_check_modules(LIBATASMART REQUIRED libatasmart)

include_directories(${Qt5Core_INCLUDE_DIRS} ${UUID_INCLUDE_DIRS} ${BLKID_INCLUDE_DIRS} lib/ src/)

add_subdirectory(src)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(INCLUDE_INSTALL_DIR "include/kpmcore/")
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KPMcore")

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KPMcoreConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              PATH_VARS INCLUDE_INSTALL_DIR
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KPMcoreTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPMcoreTargets.cmake )

ki18n_install(po)

set_target_properties( kpmcore
  PROPERTIES VERSION ${VERSION} SOVERSION ${SOVERSION}
)

message(STATUS "kpmcore ${VERSION} will be built for install into ${CMAKE_INSTALL_PREFIX}")

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/core/CMakeLists.txt ===
set(CORE_SRC
    core/copysourceshred.cpp
    core/copysource.cpp
    core/partition.cpp
    core/mountentry.cpp
    core/copytargetdevice.cpp
    core/copytarget.cpp
    core/copysourcedevice.cpp
    core/operationrunner.cpp
    core/partitiontable.cpp
    core/copytargetfile.cpp
    core/smartstatus.cpp
    core/copysourcefile.cpp
    core/smartattribute.cpp
    core/devicescanner.cpp
    core/partitionnode.cpp
    core/partitionalignment.cpp
    core/device.cpp
    core/diskdevice.cpp
    core/volumemanagerdevice.cpp
    core/lvmdevice.cpp
    core/operationstack.cpp
    core/partitionrole.cpp
)

set(CORE_LIB_HDRS
    core/copysource.h
    core/copysourcedevice.h
    core/copytarget.h
    core/copytargetdevice.h
    core/device.h
    core/diskdevice.h
    core/volumemanagerdevice.h
    core/lvmdevice.h
    core/devicescanner.h
    core/mountentry.h
    core/operationrunner.h
    core/operationstack.h
    core/partition.h
    core/partitionalignment.h
    core/partitionnode.h
    core/partitionrole.h
    core/partitiontable.h
    core/smartattribute.h
    core/smartstatus.h
)

=== debian/changelog ===
kpmcore (3.0.2-2) unstable; urgency=medium

  * Update symbols files (Fix FTBFS on 32 bit architectures)

 -- Jonathan Carter <jcarter@linux.com>  Tue, 10 Jan 2017 18:49:36 +0200

kpmcore (3.0.2-1) unstable; urgency=medium

  * New upstream release (Closes: #850788)

 -- Jonathan Carter <jcarter@linux.com>  Tue, 10 Jan 2017 09:50:02 +0200

kpmcore (3.0.0-1) unstable; urgency=medium

  [ Jonathan Carter ]
  * New upstream release
  * Remove unneeded dependency: libkf5kdelibs4support-dev
  * Update watch file to use download.kde.org
  * Make libkpmcore4-dev depend on libkpmcore4 (Closes: #847565)

  [ Andrius Štikonas ]
  * Update dependencies to match CMakeLists.txt

  [ Scott Kitterman ]
  * Update debian/copyright

 -- Jonathan Carter <jcarter@linux.com>  Sun, 25 Dec 2016 02:25:43 -0500

kpmcore (2.2.1-2) unstable; urgency=medium

  * Upgrade compat to 10
  * Update architectures to any
  * Remove unneeded Replaces field
  * Add copyright entry

 -- Jonathan Carter <jcarter@linux.com>  Fri, 11 Nov 2016 16:18:58 +0200

kpmcore (2.2.1-1) unstable; urgency=low

  * Initial release (Closes: 810063)

 -- Jonathan Carter <jcarter@linux.com>  Sat, 10 Sep 2016 19:46:04 +0200

=== debian/control ===
Source: kpmcore
Section: kde
Priority: optional
Maintainer: Jonathan Carter <jcarter@linux.com>
Build-Depends: cmake,
               debhelper (>= 10),
               extra-cmake-modules,
               libatasmart-dev,
               libblkid-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kio-dev,
               libkf5service-dev,
               libkf5widgetsaddons-dev,
               libparted-dev,
               pkg-config,
               pkg-kde-tools
Standards-Version: 3.9.8
Homepage: https://github.com/KDE/kpmcore
Vcs-Git: https://gitlab.com/highvoltage/kpmcore-packaging.git
Vcs-Browser: https://gitlab.com/highvoltage/kpmcore-packaging/tree/master

Package: libkpmcore4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkpmcore3
Description: KDE Partition Manager Core
 KDE Parition Partition Manager Core (KPM core) allows
 software to re-use common partitioning GUI tasks.
 .
 It is used in the generic system installer called Calamares
 and may be used in more interfaces in the future. Right now it
 is unlikely to be useful installed on its own.

Package: libkpmcore4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libkpmcore4 (= ${binary:Version})
Replaces: libkpmcore3-dev
Description: KDE Partition Manager Core development files
 KDE Parition Partition Manager Core (KPM core) allows
 software to re-use common partitioning GUI tasks.
 .
 It is used in the generic system installer called Calamares
 and may be used in more interfaces in the future. Right now it
 is unlikely to be useful installed on its own.
 .
 This package contains development files for kpmcore.

=== debian/rules ===
#!/usr/bin/make -f

export PVER=$(shell dpkg-parsechangelog --show-field version | cut -d"-" -f1)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(PVER)

=== debian/watch ===
version=3
http://download.kde.org/stable/kpmcore/([\d.]+)/src/kpmcore-([\d.]+)\.tar\.xz

## kpmcore 3.0.3

=== debian/changelog ===
kpmcore (3.0.3-1) experimental; urgency=medium

  * New upstream release
  * Migrate from gitlab.com to git.debian.org
  * Update debian/copyright

 -- Jonathan Carter <jcarter@linux.com>  Wed, 22 Mar 2017 11:51:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kpmcore
 Section: kde
 Priority: optional
-Maintainer: Jonathan Carter <jcarter@linux.com>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders:  Jonathan Carter <jcarter@linux.com>
 Build-Depends: cmake,
                debhelper (>= 10),
                extra-cmake-modules,
@@ -17,8 +18,8 @@
                pkg-kde-tools
 Standards-Version: 3.9.8
 Homepage: https://github.com/KDE/kpmcore
-Vcs-Git: https://gitlab.com/highvoltage/kpmcore-packaging.git
-Vcs-Browser: https://gitlab.com/highvoltage/kpmcore-packaging/tree/master
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/kpmcore.git/
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kpmcore.git
 
 Package: libkpmcore4
 Architecture: any
@@ -32,11 +33,11 @@
  and may be used in more interfaces in the future. Right now it
  is unlikely to be useful installed on its own.
 
-Package: libkpmcore4-dev
+Package: libkpmcore-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libkpmcore4 (= ${binary:Version})
-Replaces: libkpmcore3-dev
+Replaces: libkpmcore3-dev, libkpmcore4-dev
 Description: KDE Partition Manager Core development files
  KDE Parition Partition Manager Core (KPM core) allows
  software to re-use common partitioning GUI tasks.

## kpmcore 3.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 # Copyright (C) 2008 by Volker Lanz <vl@fidra.de>
+# Copyright (C) 2014-2017 by Andrius Štikonas <andrius@stikonas.eu>
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -20,12 +21,12 @@
 set(CMAKE_USE_RELATIVE_PATHS OFF)
 set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)
 
-set(QT_MIN_VERSION "5.6.1")
+set(QT_MIN_VERSION "5.7.0")
 set(VERSION_MAJOR "3")
-set(VERSION_MINOR "0")
-set(VERSION_RELEASE "2")
+set(VERSION_MINOR "1")
+set(VERSION_RELEASE "1")
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE})
-set(SOVERSION "4")
+set(SOVERSION "5")
 add_definitions(-D'VERSION="${VERSION}"') #"
 
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
@@ -46,6 +47,7 @@
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
   Core
+  DBus
   Gui
   Widgets
 )
@@ -61,16 +63,18 @@
 
 # use sane compile flags
 add_definitions(
-  -fexceptions
   -DQT_USE_QSTRINGBUILDER
   -DQT_NO_CAST_TO_ASCII
   -DQT_NO_CAST_FROM_ASCII
   -DQT_STRICT_ITERATORS
   -DQT_NO_URL_CAST_FROM_STRING
   -DQT_NO_CAST_FROM_BYTEARRAY
+  -DQT_NO_CAST_TO_BYTEARRAY
   -DQT_NO_SIGNALS_SLOTS_KEYWORDS
   -DQT_USE_FAST_OPERATOR_PLUS
 )
+kde_enable_exceptions()
+
 
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(BLKID REQUIRED blkid>=2.23)

=== debian/changelog ===
kpmcore (3.1.2-1) unstable; urgency=medium

  * New upstream release
  * Set standards version to 4.0.0
  * Set architecture to linux-any
  * Upload to unstable

 -- Jonathan Carter <jcarter@linux.com>  Wed, 05 Jul 2017 15:52:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders:  Jonathan Carter <jcarter@linux.com>
+Uploaders: Jonathan Carter <jcarter@linux.com>
 Build-Depends: cmake,
                debhelper (>= 10),
                extra-cmake-modules,
@@ -16,15 +16,15 @@
                libparted-dev,
                pkg-config,
                pkg-kde-tools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/KDE/kpmcore
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/kpmcore.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kpmcore.git
 
-Package: libkpmcore4
-Architecture: any
+Package: libkpmcore5
+Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libkpmcore3
+Replaces: libkpmcore3, libkpmcore4
 Description: KDE Partition Manager Core
  KDE Parition Partition Manager Core (KPM core) allows
  software to re-use common partitioning GUI tasks.
@@ -35,8 +35,9 @@
 
 Package: libkpmcore-dev
 Section: libdevel
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libkpmcore4 (= ${binary:Version})
+Architecture: linux-any
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ libkpmcore5 (= ${binary:Version}), libatasmart-dev
 Replaces: libkpmcore3-dev, libkpmcore4-dev
 Description: KDE Partition Manager Core development files
  KDE Parition Partition Manager Core (KPM core) allows

## kpmcore 3.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,11 +23,14 @@
 
 set(QT_MIN_VERSION "5.7.0")
 set(VERSION_MAJOR "3")
-set(VERSION_MINOR "1")
-set(VERSION_RELEASE "1")
+set(VERSION_MINOR "3")
+set(VERSION_RELEASE "0")
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE})
-set(SOVERSION "5")
+set(SOVERSION "7")
 add_definitions(-D'VERSION="${VERSION}"') #"
+
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")
@@ -55,9 +58,7 @@
 # Load the frameworks we need
 find_package(KF5 REQUIRED
   I18n
-  IconThemes
-  KIO
-  Service
+  CoreAddons
   WidgetsAddons
 )
 
@@ -77,7 +78,7 @@
 
 
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(BLKID REQUIRED blkid>=2.23)
+pkg_check_modules(BLKID REQUIRED blkid>=2.30)
 pkg_check_modules(LIBATASMART REQUIRED libatasmart)
 
 include_directories(${Qt5Core_INCLUDE_DIRS} ${UUID_INCLUDE_DIRS} ${BLKID_INCLUDE_DIRS} lib/ src/)
@@ -110,3 +111,6 @@
 message(STATUS "kpmcore ${VERSION} will be built for install into ${CMAKE_INSTALL_PREFIX}")
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+enable_testing()
+add_subdirectory(test)

=== src/CMakeLists.txt ===
# Copyright (C) 2008, 2012 by Volker Lanz <vl@fidra.de>
# Copyright (C) 2015       by Teo Mrnjavac <teo@kde.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

############################################

add_definitions(-DTRANSLATION_DOMAIN=\"kpmcore\")

include(backend/CMakeLists.txt)
include(core/CMakeLists.txt)
include(util/CMakeLists.txt)
include(ops/CMakeLists.txt)
include(jobs/CMakeLists.txt)
include(fs/CMakeLists.txt)
include(gui/CMakeLists.txt)

set(kpmcore_SRCS
    ${BACKEND_SRC}
    ${FS_SRC}
    ${CORE_SRC}
    ${OPS_SRC}
    ${JOBS_SRC}
    ${UTIL_SRC}
    ${GUI_SRC}
)

ki18n_wrap_ui(kpmcore_SRCS ${gui_UIFILES})

add_library(kpmcore SHARED ${kpmcore_SRCS})
target_link_libraries( kpmcore
    ${UUID_LIBRARIES}
    ${BLKID_LIBRARIES}
    ${LIBATASMART_LIBRARIES}
    Qt5::DBus
    KF5::I18n
    KF5::CoreAddons
    KF5::WidgetsAddons
)

install(TARGETS kpmcore EXPORT KPMcoreTargets  ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${CORE_LIB_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/kpmcore/core/ COMPONENT Devel)
install(FILES ${BACKEND_LIB_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/kpmcore/backend/ COMPONENT Devel)
install(FILES ${FS_LIB_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/kpmcore/fs/ COMPONENT Devel)
install(FILES ${JOBS_LIB_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/kpmcore/jobs/ COMPONENT Devel)
install(FILES ${OPS_LIB_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/kpmcore/ops/ COMPONENT Devel)
install(FILES ${UTIL_LIB_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/kpmcore/util/ COMPONENT Devel)
install(FILES ${GUI_LIB_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/kpmcore/gui/ COMPONENT Devel)

############################################

add_subdirectory(plugins)

=== test/CMakeLists.txt ===
# Tests for KPMcore
#
# These are not so much "tests" as "small example programs". They illustrate
# how to use the library, how to perform common tasks.

set(CMAKE_SKIP_BUILD_RPATH  FALSE)
SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

include_directories(${CMAKE_SOURCE_DIR}/src)  # To get at KPMcore headers
add_compile_options(-fPIC)

###
#
# Helper macro to link to the helper (for initialization of kpmcore)
# and to add a test with the given name.
#
add_library(testhelpers OBJECT helpers.cpp)

macro (kpm_test name)
    add_executable(${name} ${ARGN} $<TARGET_OBJECTS:testhelpers>)
    target_link_libraries(${name} kpmcore)
endmacro()

###
#
# Tests of initialization: try explicitly loading some backends
kpm_test(testinit testinit.cpp)  # Default backend
if(TARGET pmdummybackendplugin)
    add_test(NAME testinit-dummy COMMAND testinit $<TARGET_FILE:pmdummybackendplugin>)
endif()
if(TARGET pmlibpartedbackendplugin)
    add_test(NAME testinit-parted COMMAND testinit $<TARGET_FILE:pmlibpartedbackendplugin>)
else()
    return()  # All the rest really needs a working backend
endif()

set(BACKEND $<TARGET_FILE:pmlibpartedbackendplugin>)

###
#
# Listing devices, partitions
kpm_test(testlist testlist.cpp)
add_test(NAME testlist COMMAND testlist ${BACKEND})

kpm_test(testdevicescanner testdevicescanner.cpp)
add_test(NAME testdevicescanner COMMAND testdevicescanner ${BACKEND})

=== src/core/CMakeLists.txt ===
set(CORE_SRC
    core/copysource.cpp
    core/copysourcedevice.cpp
    core/copysourcefile.cpp
    core/copysourceshred.cpp
    core/copytarget.cpp
    core/copytargetdevice.cpp
    core/copytargetfile.cpp
    core/device.cpp
    core/devicescanner.cpp
    core/diskdevice.cpp
    core/fstab.cpp
    core/lvmdevice.cpp
    core/operationrunner.cpp
    core/operationstack.cpp
    core/partition.cpp
    core/partitionalignment.cpp
    core/partitionnode.cpp
    core/partitionrole.cpp
    core/partitiontable.cpp
    core/smartstatus.cpp
    core/smartattribute.cpp
    core/volumemanagerdevice.cpp
)

set(CORE_LIB_HDRS
    core/copysource.h
    core/copysourcedevice.h
    core/copytarget.h
    core/copytargetdevice.h
    core/device.h
    core/devicescanner.h
    core/diskdevice.h
    core/fstab.h
    core/lvmdevice.h
    core/operationrunner.h
    core/operationstack.h
    core/partition.h
    core/partitionalignment.h
    core/partitionnode.h
    core/partitionrole.h
    core/partitiontable.h
    core/smartattribute.h
    core/smartstatus.h
    core/volumemanagerdevice.h
)

=== src/fs/CMakeLists.txt ===
set(FS_SRC
    fs/btrfs.cpp
    fs/exfat.cpp
    fs/ext2.cpp
    fs/ext3.cpp
    fs/ext4.cpp
    fs/extended.cpp
    fs/f2fs.cpp
    fs/fat16.cpp
    fs/fat32.cpp
    fs/filesystem.cpp
    fs/filesystemfactory.cpp
    fs/hfs.cpp
    fs/hfsplus.cpp
    fs/hpfs.cpp
    fs/iso9660.cpp
    fs/jfs.cpp
    fs/linuxswap.cpp
    fs/luks.cpp
    fs/lvm2_pv.cpp
    fs/nilfs2.cpp
    fs/ntfs.cpp
    fs/ocfs2.cpp
    fs/reiser4.cpp
    fs/reiserfs.cpp
    fs/udf.cpp
    fs/ufs.cpp
    fs/unformatted.cpp
    fs/unknown.cpp
    fs/xfs.cpp
    fs/zfs.cpp
)

set(FS_LIB_HDRS
    fs/btrfs.h
    fs/exfat.h
    fs/ext2.h
    fs/ext3.h
    fs/ext4.h
    fs/extended.h
    fs/f2fs.h
    fs/fat16.h
    fs/fat32.h
    fs/filesystem.h
    fs/filesystemfactory.h
    fs/hfs.h
    fs/hfsplus.h
    fs/hpfs.h
    fs/iso9660.h
    fs/jfs.h
    fs/linuxswap.h
    fs/luks.h
    fs/lvm2_pv.h
    fs/nilfs2.h
    fs/ntfs.h
    fs/ocfs2.h
    fs/reiser4.h
    fs/reiserfs.h
    fs/udf.h
    fs/ufs.h
    fs/unformatted.h
    fs/unknown.h
    fs/xfs.h
    fs/zfs.h
)

=== src/ops/CMakeLists.txt ===
set(OPS_SRC
    ops/operation.cpp
    ops/deleteoperation.cpp
    ops/restoreoperation.cpp
    ops/resizeoperation.cpp
    ops/newoperation.cpp
    ops/createfilesystemoperation.cpp
    ops/createpartitiontableoperation.cpp
    ops/createvolumegroupoperation.cpp
    ops/removevolumegroupoperation.cpp
    ops/deactivatevolumegroupoperation.cpp
    ops/resizevolumegroupoperation.cpp
    ops/setfilesystemlabeloperation.cpp
    ops/setpartflagsoperation.cpp
    ops/checkoperation.cpp
    ops/backupoperation.cpp
    ops/copyoperation.cpp
)

set(OPS_LIB_HDRS
    ops/backupoperation.h
    ops/checkoperation.h
    ops/copyoperation.h
    ops/createfilesystemoperation.h
    ops/createpartitiontableoperation.h
    ops/createvolumegroupoperation.h
    ops/removevolumegroupoperation.h
    ops/deactivatevolumegroupoperation.h
    ops/resizevolumegroupoperation.h
    ops/deleteoperation.h
    ops/newoperation.h
    ops/operation.h
    ops/resizeoperation.h
    ops/restoreoperation.h
    ops/setfilesystemlabeloperation.h
    ops/setpartflagsoperation.h
)

=== src/plugins/CMakeLists.txt ===
# Copyright (C) 2010 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

############################################

install(FILES pmcorebackendplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

option(PARTMAN_LIBPARTEDBACKEND "Build the libparted backend plugin." ON)

if (PARTMAN_LIBPARTEDBACKEND)
    add_subdirectory(libparted)
endif (PARTMAN_LIBPARTEDBACKEND)

option(PARTMAN_DUMMYBACKEND "Build the dummy backend plugin." ON)

if (PARTMAN_DUMMYBACKEND)
    add_subdirectory(dummy)
endif (PARTMAN_DUMMYBACKEND)

=== src/util/CMakeLists.txt ===
set(UTIL_SRC
    util/capacity.cpp
    util/externalcommand.cpp
    util/globallog.cpp
    util/helpers.cpp
    util/htmlreport.cpp
    util/report.cpp
)

set(UTIL_LIB_HDRS
    util/libpartitionmanagerexport.h
    util/capacity.h
    util/externalcommand.h
    util/globallog.h
    util/helpers.h
    util/htmlreport.h
    util/report.h
)

=== src/plugins/dummy/CMakeLists.txt ===
# Copyright (C) 2010 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set (pmdummybackendplugin_SRCS
    dummybackend.cpp
    dummydevice.cpp
    dummypartition.cpp
    dummypartitiontable.cpp
)

add_library(pmdummybackendplugin SHARED ${pmdummybackendplugin_SRCS})

target_link_libraries(pmdummybackendplugin kpmcore)

install(TARGETS pmdummybackendplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})
kcoreaddons_desktop_to_json(pmdummybackendplugin pmdummybackendplugin.desktop DEFAULT_SERVICE_TYPE)
install(FILES pmdummybackendplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== src/plugins/libparted/CMakeLists.txt ===
# Copyright (C) 2010 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

find_package(LIBPARTED REQUIRED)

if (LIBPARTED_FILESYSTEM_SUPPORT)
	add_definitions(-DLIBPARTED_FILESYSTEM_SUPPORT)
endif (LIBPARTED_FILESYSTEM_SUPPORT)

if (LIBPARTED_FS_RESIZE_LIBRARY_SUPPORT)
	add_definitions(-DLIBPARTED_FS_RESIZE_LIBRARY_SUPPORT)
endif (LIBPARTED_FS_RESIZE_LIBRARY_SUPPORT)

include_directories(${LIBPARTED_INCLUDE_DIR})

set (pmlibpartedbackendplugin_SRCS
    libpartedbackend.cpp
    libparteddevice.cpp
    libpartedpartition.cpp
    libpartedpartitiontable.cpp
)

add_library(pmlibpartedbackendplugin SHARED ${pmlibpartedbackendplugin_SRCS})

target_link_libraries(pmlibpartedbackendplugin kpmcore ${LIBPARTED_LIBS} KF5::I18n)

install(TARGETS pmlibpartedbackendplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})
kcoreaddons_desktop_to_json(pmlibpartedbackendplugin pmlibpartedbackendplugin.desktop DEFAULT_SERVICE_TYPE)
install(FILES pmlibpartedbackendplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kpmcore (3.3.0-2ubuntu1) bionic; urgency=medium

  * libkpmcore7 breaks/replaces partitionmanager << 3.1.2-1~ for
    libpmdummybackendplugin.so

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 12 Feb 2018 11:03:29 +0100

kpmcore (3.3.0-2) unstable; urgency=medium

  * Depend libkpmcore-dev on correct libkpmcore (Closes: #887874)

 -- Jonathan Carter <jcc@debian.org>  Thu, 25 Jan 2018 14:23:36 +0200

kpmcore (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.1.3
    - Update to secure URI in debian/watch

 -- Jonathan Carter <jcc@debian.org>  Mon, 08 Jan 2018 14:14:23 +0200

kpmcore (3.2.1-3) unstable; urgency=medium

  * Revert target architectures to linux-any
    (Closes: #881497, #881031)

 -- Jonathan Carter <jcc@debian.org>  Mon, 13 Nov 2017 09:29:00 +0200

kpmcore (3.2.1-2) unstable; urgency=medium

  * Update symbols file
  * Remove builds for alpha, powerpcspe and m68k
    (kde dependencies has never been available since inception
     of this package)

 -- Jonathan Carter <jcc@debian.org>  Sat, 04 Nov 2017 14:45:13 +0200

kpmcore (3.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Fri, 03 Nov 2017 20:00:36 +0200

kpmcore (3.2.0-2) unstable; urgency=medium

  * Use versioned build-dep for libblkid-dev (Closes: #879025)

 -- Jonathan Carter <jcc@debian.org>  Wed, 25 Oct 2017 09:03:19 +0200

kpmcore (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.1.1

 -- Jonathan Carter <jcc@debian.org>  Fri, 06 Oct 2017 15:52:21 +0200

kpmcore (3.1.2-2) unstable; urgency=medium

  * Add corresponding breaks field for the replace field (Closes: #870435)
  * Update maintainer email address
  * Update standards version to 4.1.0.0

 -- Jonathan Carter <jcc@debian.org>  Tue, 29 Aug 2017 09:45:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: kpmcore
-Section: kde
+Section: libs
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Jonathan Carter <jcarter@linux.com>
+Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends: cmake,
                debhelper (>= 10),
                extra-cmake-modules,
                libatasmart-dev,
-               libblkid-dev,
+               libblkid-dev (>= 2.30),
                libkf5i18n-dev,
                libkf5iconthemes-dev,
                libkf5kio-dev,
@@ -16,15 +16,16 @@
                libparted-dev,
                pkg-config,
                pkg-kde-tools
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/KDE/kpmcore
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/kpmcore.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kpmcore.git
 
-Package: libkpmcore5
+Package: libkpmcore7
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libkpmcore3, libkpmcore4
+Replaces: libkpmcore3, libkpmcore4, libkpmcore5, libkpmcore6, partitionmanager (<< 3.1.2-1~)
+Breaks: libkpmcore3, libkpmcore4, libkpmcore5, libkpmcore6, partitionmanager (<< 3.1.2-1~)
 Description: KDE Partition Manager Core
  KDE Parition Partition Manager Core (KPM core) allows
  software to re-use common partitioning GUI tasks.
@@ -37,7 +38,7 @@
 Section: libdevel
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libkpmcore5 (= ${binary:Version}), libatasmart-dev
+ libkpmcore7 (= ${binary:Version}), libatasmart-dev
 Replaces: libkpmcore3-dev, libkpmcore4-dev
 Description: KDE Partition Manager Core development files
  KDE Parition Partition Manager Core (KPM core) allows

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_VERBOSE=1
 
 export PVER=$(shell dpkg-parsechangelog --show-field version | cut -d"-" -f1)
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all

=== debian/watch ===
version=3
https://download.kde.org/stable/kpmcore/([\d.]+)/src/kpmcore-([\d.]+)\.tar\.xz

## kpmcore 4.0.1

=== debian/changelog ===
kpmcore (4.0.1-1.1) unstable; urgency=medium

  * a working build

 -- Alf Gaida <agaida@siduction.org>  Thu, 17 Oct 2019 01:46:54 +0200

kpmcore (4.0.1-1) unstable; urgency=medium

  * New upstream version
  * Update standards version to 4.4.1

 -- Jonathan Carter <jcc@debian.org>  Mon, 14 Oct 2019 09:04:09 +0000

kpmcore (4.0.0-1~exp2) experimental; urgency=medium

  * Override dh_autotest (dbus possibly can't work in chroot)

 -- Jonathan Carter <jcc@debian.org>  Mon, 23 Sep 2019 20:53:30 +0200

kpmcore (4.0.0-1~exp1) experimental; urgency=medium

  [ Jonathan Carter ]
  * New upstream release
  * Update standards version to 4.4.0
  * Upgrade to debhelper-compat (=12)
  * Remove luks1 patch (applied upstream)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add libqca-qt5-2-dev as a build dependency, required by the build system.

 -- Jonathan Carter <jcc@debian.org>  Mon, 08 Jul 2019 09:08:30 +0000

kpmcore (3.3.0-5) unstable; urgency=medium

  * Use luks1 format only - wir nich

 -- Jonathan Carter <jcc@debian.org>  Sat, 06 Apr 2019 12:40:05 +0200

kpmcore (3.3.0-4) unstable; urgency=medium

  * Version bump (no changes)

 -- Jonathan Carter <jcc@debian.org>  Tue, 27 Nov 2018 09:54:56 +0200

kpmcore (3.3.0-3) unstable; urgency=medium

  * Remove build-dependencies that are no longed needed
    - libkf5service-dev
    - libkf5iconthemes-dev
    - libkf5kio-de
  * Add upstream signing key
  * Add new required dependencies
    - libqca-qt5-2-plugins
  * Update standards version to 4.2.0
  * Update Vcs to salsa.debian.org

 -- Jonathan Carter <jcc@debian.org>  Fri, 09 Feb 2018 13:34:01 +0200

=== debian/control ===
Source: kpmcore
Section: libs
Priority: optional
Maintainer: Alf Gaida <agaida@siduction.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               extra-cmake-modules,
               libatasmart-dev,
               libblkid-dev (>= 2.30),
               libkf5auth-dev,
               libkf5i18n-dev,
               libkf5widgetsaddons-dev,
               libparted-dev,
               libqca-qt5-2-dev,
               pkg-config
Standards-Version: 4.4.1
Homepage: https://github.com/KDE/kpmcore
Vcs-Browser: https://git.siduction.org/extra/kpmcore
Vcs-Git: https://git.siduction.org/extra/kpmcore.git

Package: libkpmcore8
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libqca-qt5-2-plugins
Replaces: libkpmcore3,
          libkpmcore4,
          libkpmcore5,
          libkpmcore6,
          libkpmcore7
Breaks: libkpmcore3,
        libkpmcore4,
        libkpmcore5,
        libkpmcore6,
        libkpmcore7
Description: KDE Partition Manager Core
 KDE Parition Partition Manager Core (KPM core) allows
 software to re-use common partitioning GUI tasks.
 .
 It is used in the generic system installer called Calamares
 and may be used in more interfaces in the future. Right now it
 is unlikely to be useful installed on its own.

Package: libkpmcore-dev
Section: libdevel
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libkpmcore8 (= ${binary:Version}),
         libatasmart-dev,
         libparted-dev
Replaces: libkpmcore3-dev,
          libkpmcore4-dev
Description: KDE Partition Manager Core development files
 KDE Parition Partition Manager Core (KPM core) allows
 software to re-use common partitioning GUI tasks.
 .
 It is used in the generic system installer called Calamares
 and may be used in more interfaces in the future. Right now it
 is unlikely to be useful installed on its own.
 .
 This package contains development files for kpmcore.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_test:
	dh_auto_test | true

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

=== debian/watch ===
version=3
https://download.kde.org/unstable/kpmcore/([\d.]+)/src/kpmcore-([\d.]+)\.tar\.xz
